Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13841/?format=api
{ "ob_id": 13841, "uuid": "0ab0219cfaa34d39ad6330126788ebb9", "title": "Data from the 12km70lev configuration of the Met Office NAE NWP model - Release 01/2014", "abstract": "Data from the operational NWP (Numerical Weather Prediction) output from the North Atlantic European (NAE) part of the Met Office Unified Model. The NAE model runs on a grid centred around the UK. Analyses and first forecast steps are stored to give an hourly resolution for 6 hours following each analysis time-step. This archive currently holds data from January 2012 onwards but data will be back populated for earlier years.", "keywords": "NWP, Met Office, UM, unified model, UK atmospheric model", "publicationState": "preview", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "planned", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13842/?format=api", "dataPath": "/badc/ukmo-nwp/data/nae/12km70lev/r2014_01", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 996, "numberOfFiles": 2, "fileFormat": "Met Office PP file format." }, "timePeriod": null, "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/14/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Following data transfer issues between the Met Office and the BADC, the Met Office NWP data updates were suspended on 18th January 2012. A new data transfer route was established and at the same time, CEDA-BADC decided to revamp the entire NWP archive and created a new NWP archive. This new archive is essentially a mirror of a subset of the NWP archive at the Met Office (as extracted from the Met Office Archive Storage System (MASS)).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8723/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/555/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1042/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53038/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53039/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53036/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53041/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53042/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53043/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53040/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54902/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168632/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/1045/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2667/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://creativecommons.org/licenses/by-nc-sa/4.0/", "licenceClassifications": "personal, academic, policy" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }